Post by Qphoria » Fri Jan 31, 2014 4:28 am

goto Admin extensions -> modules and uninstall all and reinstall them

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by msmith » Sun Feb 02, 2014 8:27 pm

Qphoria wrote:goto Admin extensions -> modules and uninstall all and reinstall them
Fixed it, thanks !!

Active Member

Posts

Joined
Mon Oct 18, 2010 8:57 pm

Post by tatiana74 » Wed Feb 19, 2014 5:34 pm

Hi,
Can Upgrade script beta3 upgrade database of old opencart version(1.1 or 1.2)?

Thanks

Newbie

Posts

Joined
Tue Jan 28, 2014 5:00 pm

Post by Qphoria » Fri Feb 21, 2014 12:22 am

tatiana74 wrote:Hi,
Can Upgrade script beta3 upgrade database of old opencart version(1.1 or 1.2)?

Thanks
No.. older ones need to be done manually in a grueling process. I offer service going back to 1.1 here:
http://opencartguru.com/opencart-upgrades

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by blueblue » Fri Feb 21, 2014 8:59 am

a

Newbie

Posts

Joined
Fri Feb 21, 2014 8:55 am

Post by konzaales » Wed Feb 26, 2014 2:24 pm

Hi i upgraded my store from 1.4.9.3 to .1.5.1.2 and everything went well.
Everything except I lost all my products and product description during process. ( used latest beta)

Yes, I know about that I need to add modules etc. but I'm not able to find any of my products from admin panel or through phpmyadmin..?
I backupped my database through opencart backup process and all my store files via Filezilla.
What am I supposed to do know, to restore all my products (+1000) and product descriptions etc... ?
Any help would be appreciated !

Newbie

Posts

Joined
Wed Feb 26, 2014 2:16 pm

Post by elenkov » Sat Mar 08, 2014 5:11 am

Hi every one and thanks for the script!
I read readme file and i get to STEP 12. RUN THE BUILT-IN OPENCART UPGRADE FOR v1.5.1.3 or LATER by visiting:
http://mysite.com/install/index.php
When i run the upgrade script.. I get this errors -->
Notice: Undefined index: language_id in /home/angtvcom/public_html/install/model/upgrade.php on line 179

Warning: Cannot modify header information - headers already sent by (output started at /home/angtvcom/public_html/install/model/upgrade.php:179) in /home/angtvcom/public_html/system/engine/controller.php on line 28

Warning: Cannot modify header information - headers already sent by (output started at /home/angtvcom/public_html/install/model/upgrade.php:179) in /home/angtvcom/public_html/system/engine/controller.php on line 29

www.ang-tv.com is the site.
The new version is 1.5.4.1.
The front end I think it's OK.
I can't login to admin i see blank page.

Give me a hand guys :)
Regards,
Nikolay

Newbie

Posts

Joined
Fri Sep 14, 2012 3:26 pm

Post by elenkov » Mon Mar 10, 2014 4:51 pm

elenkov wrote:Hi every one and thanks for the script!
I read readme file and i get to STEP 12. RUN THE BUILT-IN OPENCART UPGRADE FOR v1.5.1.3 or LATER by visiting:
http://mysite.com/install/index.php
When i run the upgrade script.. I get this errors -->
Notice: Undefined index: language_id in /home/angtvcom/public_html/install/model/upgrade.php on line 179

Warning: Cannot modify header information - headers already sent by (output started at /home/angtvcom/public_html/install/model/upgrade.php:179) in /home/angtvcom/public_html/system/engine/controller.php on line 28

Warning: Cannot modify header information - headers already sent by (output started at /home/angtvcom/public_html/install/model/upgrade.php:179) in /home/angtvcom/public_html/system/engine/controller.php on line 29

http://www.ang-tv.com is the site.
The new version is 1.5.4.1.
The front end I think it's OK.
I can't login to admin i see blank page.

Give me a hand guys :)
Regards,
Nikolay
Bump.. any one ? I have no idea what is happend.
My error logs are empty!

Newbie

Posts

Joined
Fri Sep 14, 2012 3:26 pm

Post by Qphoria » Tue Mar 11, 2014 3:26 am

elenkov wrote: When i run the upgrade script.. I get this errors -->
Notice: Undefined index: language_id in /home/angtvcom/public_html/install/model/upgrade.php on line 179
Hm I've never seen this one before. Did you have a language set in your database

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by elenkov » Tue Mar 11, 2014 6:05 pm

Qphoria wrote:
elenkov wrote: When i run the upgrade script.. I get this errors -->
Notice: Undefined index: language_id in /home/angtvcom/public_html/install/model/upgrade.php on line 179
Hm I've never seen this one before. Did you have a language set in your database
The lang in the DB was BG, not bg and that was the problem. I've upgrade the 1.5.4.1 version.
But now I lost all my products and categories.
I have it in the DB, but not showing in admin and frond end.
Any suggestion Qphoria?

Regards

PS - I've fix it.
INSERT INTO `weight_class_description` (`weight_class_id`, `language_id`, `title`, `unit`) VALUES
(1, 2, 'Килограм', 'кг'),
(2, 2, 'Грам', 'г');

Newbie

Posts

Joined
Fri Sep 14, 2012 3:26 pm

Post by sjoost » Thu Mar 13, 2014 9:51 pm

I did an update on a website. The admin works like charms but my actual shop is blank. There is also no code when i check the source code.

http://www.bertsieraden.nl/2014/
anyone any idea what i did wrong.

Thanks in advance!!

Newbie

Posts

Joined
Mon Jul 18, 2011 3:39 pm

Post by Qphoria » Fri Mar 14, 2014 2:37 am

sjoost wrote:I did an update on a website. The admin works like charms but my actual shop is blank. There is also no code when i check the source code.

http://www.bertsieraden.nl/2014/
anyone any idea what i did wrong.

Thanks in advance!!
http://forum.opencart.com/viewtopic.php?f=170&t=50555

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by kilofera » Wed Apr 30, 2014 11:08 pm

Hello Amin,

I tried upgrading from 1.5.4 and I got this error.

Code: Select all

The following errors occured:

Could not execute this query: INSERT INTO `option` (`option_id`, `type`, `sort_order`)SELECT `product_option_id`, "select", `sort_order` FROM `product_option`; Unknown column 'sort_order' in 'field list'

Could not execute this query: INSERT INTO `option_description` (`option_id`, `language_id`, `name`)SELECT `product_option_id`, `language_id`, `name` FROM `product_option_description`; Table 'kilofera_buy.product_option_description' doesn't exist

Could not execute this query: INSERT INTO `option_value` (`option_value_id`, `option_id`, `sort_order`)SELECT `product_option_value_id`, `product_option_id`, `sort_order` FROM `product_option_value`; Unknown column 'sort_order' in 'field list'

Could not execute this query: INSERT INTO `option_value_description` (`option_value_id`, `language_id`, `option_id`, `name`)SELECT `pov`.`product_option_value_id` , `language_id` , `pov`.`product_option_id` , `name`FROM `product_option_value_description` AS `povd` INNER JOIN `product_option_value` AS `pov` ON `pov`.`product_option_value_id` = `povd`.`product_option_value_id`; Table 'kilofera_buy.product_option_value_description' doesn't exist
Please I need help to resolve this. Thanks.

Newbie

Posts

Joined
Wed Apr 30, 2014 11:03 pm

Post by Qphoria » Fri May 09, 2014 10:04 pm

kilofera wrote:Hello Amin,
I tried upgrading from 1.5.4 and I got this error.
This is where you get up, walk to the window, and jump out because you did not read the first post or the lines that I've posted ad nauseum telling you that THIS IS ONLY FOR 1.4.x TO 1.5.x UPGRADES

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by mitakadan » Sat May 10, 2014 4:53 pm

Hey, I just try to upgrade 1.4.9.1 to 1.5.6 and get this when I make the update to 1.5.6 (step 12)

Code: Select all

Notice: Error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AFTER `price`' at line 1
Error No: 1064
ALTER TABLE `profile` CHANGE `frequency` `frequency` ENUM AFTER `price` in /home/dinoel/public_html/multimedia-ltd/system/database/mysql.php on line 50
Some ideas ?

Newbie

Posts

Joined
Sat Dec 22, 2012 8:17 pm

Post by nick941741 » Sun Jul 13, 2014 5:12 pm

Missing Product options.

I've run the script and it seemed to work perfectly, but when logging in and checking the products I notice that there are no product option listed either individually for products or under the options on the menu.

The DB still shows the options.

Any ideas?

Nick

Newbie

Posts

Joined
Thu May 08, 2014 3:32 pm

Post by Qphoria » Wed Jul 16, 2014 2:03 am

mitakadan wrote:Hey, I just try to upgrade 1.4.9.1 to 1.5.6 and get this when I make the update to 1.5.6 (step 12)

Code: Select all

Notice: Error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AFTER `price`' at line 1
Error No: 1064
ALTER TABLE `profile` CHANGE `frequency` `frequency` ENUM AFTER `price` in /home/dinoel/public_html/multimedia-ltd/system/database/mysql.php on line 50
Some ideas ?
http://forum.opencart.com/viewtopic.php ... 77#p431431

Are you going straight to 1.5.6.4? You should be.. I didn't think that error still existed.

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by Purebeads » Thu Jul 17, 2014 5:30 pm

I've read the text file for this script, and it appears that the script will upgrade both OC and the database to version 1.5. My problem is that I want to upgrade only the database. I have version 1.4 installed at my old hosting company, and I have version 1.5 installed at Arvixe. My problem is that I need to upgrade the database on Arvixe with the information from my old database at the old hosting company. It would seem that this script won't do that since 1.5 is already installed on Arvixe.

I asked Arvixe's customer support people, and they said that if I upload the information from my old database, it will erase the categories in the new database and make it like the old database, and then it won't work with version 1.5. Is that right? I'm not sure how to proceed.

Active Member

Posts

Joined
Fri Apr 30, 2010 12:07 pm

Post by Purebeads » Mon Jul 21, 2014 5:52 am

It would seem that this is my only solution for upgrading to OpenCart 1.5 on Arvixe: To copy my installation of OpenCart 1.4 to Arvixe (from my old hosting company), then import my database from my old hosting company, and then run the script. Is that right?

Active Member

Posts

Joined
Fri Apr 30, 2010 12:07 pm

Post by Avvici » Sat Jul 26, 2014 9:22 pm

Purebeads wrote:It would seem that this is my only solution for upgrading to OpenCart 1.5 on Arvixe: To copy my installation of OpenCart 1.4 to Arvixe (from my old hosting company), then import my database from my old hosting company, and then run the script. Is that right?
Sounds about right. If you have any further questions feel free to ask.

Joe

User avatar
Expert Member

Posts

Joined
Tue Apr 05, 2011 12:09 pm
Location - Asheville, NC
Who is online

Users browsing this forum: No registered users and 23 guests